kdevelop-2.0cvs compile error

Bud Rogers budr at sirinet.net
Wed Jun 13 11:48:19 UTC 2001


On Tuesday 12 June 2001 23:02, Roland Krause wrote:
> You're not trouble, the problem is, we are in a state of flux between
> KDE-2.2 and KDE-2.1.[12] right now.
> Anyway, the solution is to put -DUSE_QTPRINT_SYSTEM -DUSE_KDE_2_1_1
> into your compiler options (if  you compile using kdevelop).
>
> "Duh", you will say, if I had it I wouldnt need to compile it...
> therefore you can say:
>
> export CXXFLAGS="-DUSE_QTPRINT_SYSTEM -DUSE_KDE_2_1_1"; ./configure
> and it will also do...

Adding those flags worked.  I'm using Debian's build scripts, dh_make and 
debuild.  They have their own ideas about what configure should do, etc.  I 
had to go all the way back to admin/acinclude.m4.in to find a place the 
scripts didn't rewrite.  If I had just exported the CXXFLAGS and run 
configure it would have been simpler.  Anyway, I have a brand new kdevelop 
deb.  Tonight I will play with it.

Thanks for your patience.

-- 
Bud Rogers <budr at sirinet.net>   http://www.sirinet.net/~budr
All things in moderation.  And not too much moderation either.


-
to unsubscribe from this list send an email to kdevelop-request at kdevelop.org with the following body:
unsubscribe »your-email-address«



More information about the KDevelop mailing list